MTA-STS-QUERY(1)

NAME
mta-sts-query - retrieve MTA-STS policy of a domain

SYNOPSIS

mta-sts-query [OPTION]... DOMAIN [KNOWN_VERSION]

DESCRIPTION

Retrieve the MTA-STS policy of a domain and display the result on standard output. This diagnostic utility is also useful without Postfix.

MTA-STS, specified in RFC 8461 [0], is a security standard for email servers. When a site configures MTA-STS, other mail servers can require the successful authentication of that site when forwarding mail there.

OPTIONS

-h, --help
    show a help message and exit

-v, --verbosity VERBOSITY
    set verbosity level: debug, info, warn (default), error, or fatal.

DOMAIN
    domain for which to retrieve the MTA-STS policy

KNOWN_VERSION
    latest known version (default: None)

EXAMPLES

Retrieve MTA-STS policy for dismail.de:

mta-sts-query dismail.de

SEE ALSO

mta-sts-daemon(1), mta-sts-daemon.yml(5)

NOTES

0.
    SMTP MTA Strict Transport Security (MTA-STS):